count
each
Array Functions
PHP Manual

# current

Return the current element in an array

### Description

mixed current ( array `&$array` )

Every array has an internal pointer to its "current" element, which is initialized to the first element inserted into the array.

### Parameters

`array`

  The array.

### Return Values

The current function simply returns the value of the array element that's currently being pointed to by the internal pointer. It does not move the pointer in any way. If the internal pointer points beyond the end of the elements list or the array is empty, current returns `FALSE`.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 Example use of current and friends

`<?php
$transport = array('foot', 'bike', 'car', 'plane');
$mode = current($transport); // $mode = 'foot';
$mode = next($transport); // $mode = 'bike';
$mode = current($transport); // $mode = 'bike';
$mode = prev($transport); // $mode = 'foot';
$mode = end($transport); // $mode = 'plane';
$mode = current($transport); // $mode = 'plane';
$arr = array();
var_dump(current($arr)); // bool(false)
$arr = array(array());
var_dump(current($arr)); // array(0) { }
?>`

### Notes

> Note: You won't be able to distinguish the end of an array from a boolean `FALSE` element. To properly traverse an array which may contain `FALSE` elements, see the each function.

### See Also

- end
- key
- each
- prev
- reset
- next